Update a roadmap comment
curl --request PATCH \
--url https://api.plazza.ca/v1/roadmapBoards/{board}/items/{item}/comments/{comment} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"etag": "\"3\"",
"body": "Weโd use this every week."
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({etag: '"3"', body: JSON.stringify('Weโd use this every week.')})
};
fetch('https://api.plazza.ca/v1/roadmapBoards/{board}/items/{item}/comments/{comment}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.plazza.ca/v1/roadmapBoards/{board}/items/{item}/comments/{comment}"
payload = {
"etag": "\"3\"",
"body": "Weโd use this every week."
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"name": "roadmapBoards/hire/items/019a7c2e-4b1d-7c3a-9d4e-5f6a7b8c9d0e/comments/019a7c31-0e2f-7a1b-8c3d-4e5f6a7b8c9d",
"parent": null,
"source": "PLAZZA",
"body": "Weโd use this every week.",
"author": {
"displayName": "Camille Tremblay",
"staff": false
},
"reactions": [
{
"emoji": "๐",
"count": 3
}
],
"replyCount": 2,
"etag": "\"1\"",
"createTime": "2026-11-05T09:12:44.031Z",
"updateTime": "2026-11-05T09:12:44.031Z",
"deleteTime": "2026-11-05T09:12:44.031Z"
}{
"error": {
"code": 401,
"message": "Unauthorized",
"status": "UNAUTHENTICATED",
"details": [
{
"@type": "type.googleapis.com/google.rpc.ErrorInfo",
"reason": "MISSING_CREDENTIALS",
"domain": "api.plazza.ca"
},
{
"@type": "type.googleapis.com/google.rpc.LocalizedMessage",
"locale": "en",
"message": "Sign in to continue."
}
]
}
}Roadmap
Update a roadmap comment
Its author edits its text.
PATCH
/
v1
/
roadmapBoards
/
{board}
/
items
/
{item}
/
comments
/
{comment}
Update a roadmap comment
curl --request PATCH \
--url https://api.plazza.ca/v1/roadmapBoards/{board}/items/{item}/comments/{comment} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"etag": "\"3\"",
"body": "Weโd use this every week."
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({etag: '"3"', body: JSON.stringify('Weโd use this every week.')})
};
fetch('https://api.plazza.ca/v1/roadmapBoards/{board}/items/{item}/comments/{comment}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.plazza.ca/v1/roadmapBoards/{board}/items/{item}/comments/{comment}"
payload = {
"etag": "\"3\"",
"body": "Weโd use this every week."
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"name": "roadmapBoards/hire/items/019a7c2e-4b1d-7c3a-9d4e-5f6a7b8c9d0e/comments/019a7c31-0e2f-7a1b-8c3d-4e5f6a7b8c9d",
"parent": null,
"source": "PLAZZA",
"body": "Weโd use this every week.",
"author": {
"displayName": "Camille Tremblay",
"staff": false
},
"reactions": [
{
"emoji": "๐",
"count": 3
}
],
"replyCount": 2,
"etag": "\"1\"",
"createTime": "2026-11-05T09:12:44.031Z",
"updateTime": "2026-11-05T09:12:44.031Z",
"deleteTime": "2026-11-05T09:12:44.031Z"
}{
"error": {
"code": 401,
"message": "Unauthorized",
"status": "UNAUTHENTICATED",
"details": [
{
"@type": "type.googleapis.com/google.rpc.ErrorInfo",
"reason": "MISSING_CREDENTIALS",
"domain": "api.plazza.ca"
},
{
"@type": "type.googleapis.com/google.rpc.LocalizedMessage",
"locale": "en",
"message": "Sign in to continue."
}
]
}
}Authorizations
Path Parameters
Query Parameters
Body
application/json
What the author changes in their comment.
Response
A comment on a roadmap item, or a reply to one. Threads are one level deep.
A comment on a roadmap item, or a reply to one. Threads are one level deep.